> ## Documentation Index
> Fetch the complete documentation index at: https://developers.uqpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Virtual Accounts

> 获取虚拟账户列表。



## OpenAPI

````yaml /zh/global-account/v1.6/banking.yaml get /v1/virtual/accounts
openapi: 3.0.2
info:
  title: Banking API
  version: 0.0.1
  x-source-en-commit: 5e7e320
  x-source-en-path: global-account/v1.6/banking.yaml
  description: |
    UQPAY Banking API 为全球资金流转提供完整的银行与支付解决方案。

    ## 核心功能
    - 国际支付与转账
    - 多币种账户管理
    - 实时换汇
    - 虚拟账户服务
    - 资金充值与提现

    ## 认证
    调用 UQPAY API 时，使用 API 密钥对客户端请求进行认证。
    API 密钥是用于认证用户身份、授予特权操作访问权限的唯一数据字符串。
    请始终对 API 密钥保密并妥善保管。

    ## 服务组件
    - **Payout**：创建并管理向受益人发起的国际资金转账
    - **Payer**：管理发起付款并授权资金转账的实体
    - **Beneficiary**：管理收款方信息与银行信息
    - **Balance**：查看并管理多币种账户余额
    - **Deposit**：处理入账资金转账
    - **Virtual Accounts**：使用外币本地银行账户
    - **Conversion**：以有竞争力的汇率执行换汇

    ## 快速开始
    1. 获取 API 凭证
    2. 使用 sandbox URL 搭建测试环境
    3. 接入认证
    4. 从基础操作开始

    ## 支持
    如需技术支持与集成协助，请联系 UQPAY 支持团队。
  contact:
    name: UQPAY Support
    url: https://www.uqpay.com/support
    email: banking.tech@uqpay.com
  license:
    name: Proprietary
    url: https://www.uqpay.com/legal/api-terms
  termsOfService: https://www.uqpay.com/legal/terms
  x-api-id: banking-api-v1.6.0
  x-logo:
    url: https://uqpay.com/img/UQPAY_LogoAnimv2.gif
    backgroundColor: '#FFFFFF'
    altText: UQPAY Logo
  x-categories:
    - Banking
    - Payment Processing
    - Foreign Exchange
servers:
  - url: https://api-sandbox.uqpaytech.com/api
    description: Sandbox 基础 URL。
  - url: https://api.uqpay.com/api
    description: 生产环境基础 URL。
security: []
tags:
  - name: Balances
    description: 查看并管理账户中不同币种的可用资金。
  - name: Transfers
    description: 钱包转账资源用于将资金从你的 UQPAY 账户直接转入关联账户。
  - name: Deposits
    description: 充值是指向你的 UQPAY 全球收款账户发起的银行转账，用于补充资金或从第三方收款。
  - name: Virtual Accounts
    description: 虚拟账户是以外币形式存在的本地银行账户。它们支持全球收款，提供可从各类平台收款的账户信息。虚拟账户也可用于为 UQPAY 余额充值。
  - name: Payout
    description: >-
      当你向受益人发起付款时会创建一个 Payout
      资源。它记录受益人、银行信息、付款金额、状态及其他相关信息。你可以使用直接填写的受益人信息，或使用先前创建的受益人 ID 来创建 payout。
  - name: Payers
    description: 付款人是发起 payout 并授权将资金从其账户转入受益人账户的一方。
  - name: Beneficiaries
    description: 受益人是资金的收款方，通常也是最终从 payout 中获益的一方。
  - name: Conversion
    description: 管理交易的换汇与汇率。
  - name: Exchange Rates
    description: 获取指定货币对或全部可用货币对的实时汇率。
  - name: Global Accounts
    description: ⚠️ 警告 此 API 版本已弃用。已弃用的 API 版本最终将不再受支持。全球收款账户是充当本地银行账户的外币账户。
  - name: Simulator
    description: 在 sandbox 环境中模拟充值交易。
paths:
  /v1/virtual/accounts:
    get:
      tags:
        - Virtual Accounts
      summary: List Virtual Accounts
      description: 获取虚拟账户列表。
      operationId: list-virtual-accounts
      parameters:
        - $ref: '#/components/parameters/XOnBehalfOf'
        - $ref: '#/components/parameters/PageSize'
        - $ref: '#/components/parameters/PageNumber'
        - name: currency
          description: >-
            指定虚拟账户（VA）的一个或多个币种，决定其可接收的资金币种。多个币种应以逗号分隔。币种代码遵循 [ISO
            4217](https://en.wikipedia.org/wiki/ISO_4217#List_of_ISO_4217_currency_codes)
            标准。
          in: query
          schema:
            type: string
            example: USD,SGD
      responses:
        '200':
          description: OK —— 虚拟账户列表返回成功。
          headers:
            x-response-id:
              $ref: '#/components/headers/XResponseId'
          content:
            application/json:
              schema:
                title: listVirtualAccountsResponse
                properties:
                  total_pages:
                    $ref: '#/components/schemas/TotalPages'
                  total_items:
                    $ref: '#/components/schemas/TotalItems'
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/CurrencyBankDetailResponse'
                      type: object
      security:
        - XAuthToken: []
components:
  parameters:
    XOnBehalfOf:
      in: header
      name: x-on-behalf-of
      schema:
        type: string
      required: false
      description: >
        指定代表哪个子账户发起请求。应设为
        `account_id`，可通过[查询关联账户列表](/zh/account-center/v1.6/api-reference/list-connected-accounts-1)获取。如果省略或留空，请求将使用主账户执行。

        更多信息参见[关联账户](/zh/account-center/v1.6/guide/connected-accounts)。
      example: 18523f72-f4de-4f9c-bb8e-ec7d1c4f32be
    PageSize:
      name: page_size
      description: 每页返回的最大条目数。必须在 **10 到 100** 之间（含）。
      in: query
      required: true
      schema:
        type: integer
        minimum: 1
        maximum: 100
        example: 10
    PageNumber:
      name: page_number
      description: 用于获取特定一组条目的页码。必须 **大于等于 1**。
      in: query
      required: true
      schema:
        type: integer
        minimum: 1
        example: 1
  headers:
    XResponseId:
      description: 响应的通用唯一标识符（UUID v4）。在与 UQPAY 支持团队沟通时有助于定位某个请求。
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    TotalPages:
      type: integer
      example: 10
      description: 可用条目的总页数。
    TotalItems:
      type: integer
      example: 105
      description: 可用条目的总数。
    CurrencyBankDetailResponse:
      type: object
      required:
        - account_holder
        - account_number
        - capability
        - country_code
        - currency
        - account_bank_id
        - bank_name
        - bank_address
        - routing_codes
      properties:
        account_holder:
          type: string
          description: 全球收款账户的持有人。
          example: John Doe
        account_number:
          type: string
          format: number
          description: 全球收款账户的 account_number 或 IBAN 号。
          example: '12345678'
        capability:
          type: object
          description: 该银行账户的收款能力。
          required:
            - payment_method
          properties:
            payment_method:
              type: string
              enum:
                - SWIFT
                - LOCAL
              example: SWIFT
              description: |
                可用于接收充值的支付方式。
                  * `SWIFT`
                  * `LOCAL`
        country_code:
          $ref: '#/components/schemas/CountryCode'
        currency:
          type: string
          description: 三位字母 ISO 币种代码，小写。必须为受支持的币种。
          example: SGD
        account_bank_id:
          type: string
          description: 账户开户行 ID。
          example: 72970a7c-7921-431c-b95f-3438724ba16f
        bank_name:
          type: string
          description: 账户开户行的名称。
          example: ABC Bank
        bank_address:
          type: string
          description: 账户开户行的地址。
          example: 810 Seventh Avenue, New York, NY 10019, US
        clearing_system:
          type: object
          description: 该银行账户的清算系统路由信息。
          required:
            - type
            - value
          properties:
            type:
              type: string
              description: 清算系统标识符的类型
              example: bic_swift
            value:
              type: string
              description: 清算系统标识符的值
              example: TCCLGB3L
          example:
            type: bic_swift
            value: TCCLGB3L
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - CLOSED
          example: ACTIVE
          description: |
            全球收款账户的状态。为以下之一：
              * `ACTIVE`
              * `INACTIVE`
              * `CLOSED`
        close_reason:
          type: string
          example: ''
          description: 全球收款账户的关闭原因。
    CountryCode:
      type: string
      example: SG
      description: >-
        两位字母国家/地区代码 [ISO 3166-1
        alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)。
      maxLength: 2
      minLength: 2
  securitySchemes:
    XAuthToken:
      type: apiKey
      in: header
      name: x-auth-token
      description: 由 UQPay 提供的登录 API Token。

````